#ifndef DIALOGCONFIGURATION_H
#define DIALOGCONFIGURATION_H

#include <QDialog>

namespace Ui {
class DialogConfiguration;
}

class DialogConfiguration : public QDialog
{
    Q_OBJECT

public:
    explicit DialogConfiguration(QWidget *parent = 0);
    ~DialogConfiguration();
    static qlonglong getCitiesSize();
    static qlonglong getFirstnameSize();
    static qlonglong getFortuneSize();
    static qlonglong getLexiqueSize();
    static qlonglong getWikiquoteSize();
    static qlonglong getWikionarySize();
    static QString getCitiesLocation();
    static QString getFirstnameLocation();
    static QString getFortuneLocation();
    static QString getLexiqueLocation();
    static QString getWikiquoteLocation();
    static QString getWikionaryLocation();
    static QString getStorageDirectory();


private slots:
    void Save();
    void SetStorageDirectory();
private:
    Ui::DialogConfiguration *ui;
    void Load();
};

#endif // DIALOGCONFIGURATION_H
