#ifndef FILEDONWLOAD_H
#define FILEDONWLOAD_H

#include <QUrl>
#include <QObject>
#include <QNetworkAccessManager>
#include <QSpinBox>
#include <QProgressBar>

class FileDonwload : public QObject
{
    Q_OBJECT
public:
    FileDonwload(QUrl url,qlonglong size,QProgressBar *pb, QSpinBox *sb,QObject *object);
private slots:
    void fileDownloaded(QNetworkReply *reply);
    void followProgress(qint64 received, qint64 total);
private:
    QNetworkAccessManager *m_network;
    QNetworkReply *m_reply;
    QUrl m_url;
    qlonglong m_totalsize;
    qlonglong m_size;
    QSpinBox *m_spinbox;
    QProgressBar *m_progressbar;
signals:
    void Downloaded(int size,int numberoffiles,QProgressBar *pb,QSpinBox *sb);
    void reading( int size);

};

#endif // FILEDONWLOAD_H
