#!/bin/sh 


DIRDICORIME=`pwd| sed s"/install//"`

CalculeVersion()
 {
    MAJOR=`cat $DIRDICORIME/src/src.pri| grep  VERSIONMAJOR|cut -d= -f2`
    MINOR=`cat $DIRDICORIME/src/src.pri| grep  VERSIONMINOR|cut -d= -f2`
    VERSION="$MAJOR.$MINOR"	
    rm -f md5sum-${VERSION}.txt
 }

echoNice()
{
echo "$1"
echo "* * * * * * * * * * * * * * * * * * * * * ";
}

Send()
{ 
md5sum $1 >>  md5sum-${VERSION}.txt
scp $1 xplor@toulouse6.ungi.com:~/www.xplor.fr/public_html/dicorime
}

Transfert()
{
echoNice "Transfert"
Send dicorime-${VERSION}-src.tgz
Send dicorime-${VERSION}-base.zip
Send dicorime-${VERSION}-i386.deb
Send dicorime-${VERSION}-i386.rpm
Send setup_dicorime-${VERSION}.exe
Send dicorime-${VERSION}.dmg
scp md5sum-${VERSION}.txt xplor@toulouse6.ungi.com:~/www.xplor.fr/public_html/dicorime
}

Taille()
{
du -sh $1 | cut -f1
}

LigneTikiwiki()
{
echo "* [dicorime/$1|$2 version $3] (`Taille $1`)" 
}

Tikiwikize()
{
echoNice "Lignes à mettre sur le Tikiwiki"
echo "!!Pour les utilisateurs"
LigneTikiwiki "dicorime-${VERSION}-i386.deb" "Linux debian installeur" ${VERSION}
LigneTikiwiki "dicorime-${VERSION}-i386.rpm" "Linux rpm installeur" ${VERSION}
LigneTikiwiki "setup_dicorime-${VERSION}.exe" "Installeur Windows" ${VERSION}
echo "!!Pour les développeurs"
LigneTikiwiki "dicorime-${VERSION}-src.tgz" "Sources" ${VERSION}
LigneTikiwiki "dicorime-${VERSION}-base.zip" "Base de données(pour les développeurs)" ${VERSION}
echo "!!Pour contrôler l'intégralité du chargement"
LigneTikiwiki "md5sum-${VERSION}.txt" "MD5SUM" ${VERSION}
}


CalculeVersion
Transfert
Tikiwikize

