#include "correctionorthographique.h"
#include "phonemise.h"

#include <QTextCursor>
#include <QSqlQuery>
#include <QDebug>

CorrectionOrthographique::CorrectionOrthographique()
{
}


void CorrectionOrthographique::Corrige ( QTextDocument *doc)
{
    QTextCursor cursor(doc);
    while (! cursor.atEnd() )
    {
      cursor.movePosition(QTextCursor::NextWord);
      cursor.select(QTextCursor::WordUnderCursor);
      QString mot=cursor.selectedText();
      mot.replace(QRegExp("\\W"),"");
      if ( MotFauteOrthographe (mot))
      {
          QTextCharFormat format ;
          format.setUnderlineStyle(QTextCharFormat::SingleUnderline);
          cursor.setCharFormat(format);

      }
    }

}


bool CorrectionOrthographique::MotFauteOrthographe ( QString mot)
{
    QString motminus=mot;
    motminus=motminus.toLower();
    if ( motminus!="")
      {
         QSqlQuery query("SELECT ortho FROM dico WHERE ortho = '"+motminus+"'");
         if ( !query.next())
              {
                  QSqlQuery query2("SELECT ortho FROM dico WHERE ortho = '"+mot+"'");
                  if ( !query2.next())
                    return ( true ) ;
                  else return( false) ;
              }
         else  return ( false ) ;

      }
    else return ( false) ;
}


QStringList CorrectionOrthographique::MotsApprochant ( QString mot )
{
    phonemise p ;
    QString ph=p.Text2Phoneme(mot);
    QSqlQuery query("SELECT ortho FROM dico WHERE PH = '"+ph+"'");
    QStringList list;
        while (query.next()) { list.append(query.value(0).toString());}
    return list ;

}
