//
// C++ Implementation: customsqlmodel
//
// Description: 
//
//
// Author: Gilles <gilles@lesjetesdelencre.com>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include <QtGui>
#include "customcitationproxymodel.h"
#include "dicorime.h"

 CustomCitationProxyModel::CustomCitationProxyModel(QObject *parent)
     : QSortFilterProxyModel(parent)
 {
 }

 QVariant CustomCitationProxyModel::data(const QModelIndex &index, int role) const
 {
     QVariant value = QSortFilterProxyModel::data(index, role);
    /* if (value.isValid() && role == Qt::DisplayRole) {
         if (index.column() == 1)
             return value.toString().prepend(Phoneme);
     }
    */ 
    if (index.column() == 2 && role == Qt::DisplayRole) { 
		QString MyMot=this->Mot;
		QString MyValue=mapToSource(index).data().toString();
                MyValue.replace(QRegExp(MyMot,Qt::CaseInsensitive),""+MyMot+"");
               // MyValue="<html><body>"+MyValue+"</body></html>";
		return QVariant::QVariant(MyValue) ;
	 }
//     else if (role == Qt::FontRole && index.column() == 0 )
//          return qVariantFromValue(QFont(0,-1,90,false));
     return value;
 }
