//
// C++ Implementation: customsqlmodel
//
// Description:
//
//
// Author: Gilles <gilles@lesjetesdelencre.com>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include <QtGui>
#include "customsqlmodel.h"
#include "qdictionnaire.h"

 CustomSqlModel::CustomSqlModel(QObject *parent)
	 : QSqlQueryModel(parent)
 {
     setHeaderData(0, Qt::Horizontal, "Mot");
     setHeaderData(1, Qt::Horizontal, "Syllabes");
     setHeaderData(2, Qt::Horizontal, "Genre");
     setHeaderData(3, Qt::Horizontal, "Type");
     setHeaderData(4, Qt::Horizontal, "Racine");
     setHeaderData(5, Qt::Horizontal,QString::fromUtf8( "Phonétique"));
     setHeaderData(6, Qt::Horizontal, QString::fromUtf8("Fréq"));
     setHeaderData(7, Qt::Horizontal, QString::fromUtf8("ID"));
     m_total=0;
 }


 QVariant CustomSqlModel::data(const QModelIndex &index, int role) const
 {
	 QVariant value = QSqlQueryModel::data(index, role);
	/* if (value.isValid() && role == Qt::DisplayRole) {
		 if (index.column() == 1)
			 return value.toString().prepend(Phoneme);
	 }
	*/
    if (role == Qt::TextColorRole && (index.column() == 0 || index.column() == 4) )
		 return qVariantFromValue(QColor(Qt::blue));
//     else if (role == Qt::FontRole && index.column() == 0 )
//          return qVariantFromValue(QFont(0,-1,90,false));

	 return value;
 }
