#ifndef MENUTEXTBROWSER_H
#define MENUTEXTBROWSER_H

#include <QTextBrowser>
#include <QMenu>
#include <QContextMenuEvent>
#include <QTextCursor>

class MenuTextBrowser : public QTextBrowser
{
    Q_OBJECT
public:
    explicit MenuTextBrowser(QWidget *parent = 0);
    QTextCursor m_cursor;

protected:
        void contextMenuEvent(QContextMenuEvent *event);
private:
         QMenu *m_menu;

signals:
       void AskRime (QString mot) ;
       void AskCitation (QString mot);
       void AskDefinition (QString mot) ;

private slots:
        void ActionMenu ( QAction *action);

};

#endif // MENUTEXTBROWSER_H
