#include "wherecondition.h"
#include <QStringList>
#include <QDebug>

wherecondition::wherecondition()
{
}

QString wherecondition::WhereCondition ( QString phoneme, QString TypeRime , int nbphoneme )
{
  QString wherecondition;
   if (TypeRime == "Finale" ) {
  // phoneme =raPA nbphoneme=2 => riPA
   QStringList whereconditionlist ;
   for ( int i=1 ;  i <=   ( nbphoneme >=  phoneme.length() ? phoneme.length():nbphoneme) ;i ++) {
        whereconditionlist.append(QString::fromLatin1("PH")+ QString::number(i) + "= \"" + phoneme[phoneme.length()-i] +"\"");
    }
    wherecondition=whereconditionlist.join(" and ");

 }else if ( TypeRime == QString::fromUtf8("Débutante") ) {
// phoneme =RApa nbphoneme=2 => RAle
 wherecondition="PH GLOB \"" ;
 for ( int i=1 ;  i <=   ( nbphoneme >=  phoneme.length() ? phoneme.length():nbphoneme) ;i ++) {
   wherecondition.append(phoneme[i-1]);
 }
 wherecondition.append("*\"");
 } else if ( TypeRime == QString::fromUtf8("Allitérative") ){
// phoneme =raPA nbphoneme=2 => PArle
 wherecondition="";
 for ( int i=1 ;  i <=   ( nbphoneme >=  phoneme.length() ? phoneme.length():nbphoneme) ;i ++) {
   wherecondition.prepend(phoneme[phoneme.length()-i]);
 }
 wherecondition.prepend("PH GLOB \"");
 wherecondition.append("*\"");
 }
 else if ( TypeRime == "Enfouie" ){
// phoneme =raPA nbphoneme=2 =>apPArtement
   wherecondition="";
 for ( int i=1 ;  i <=   ( nbphoneme >=  phoneme.length() ? phoneme.length():nbphoneme) ;i ++) {
   wherecondition.prepend(phoneme[phoneme.length()-i]);
  }
 wherecondition.prepend("PH GLOB \"*");
 wherecondition.append("*\"");
 }
 else {
// répétitive
//// phoneme =RAPA nbphoneme=2 => attRAPAsse
  wherecondition="";
 for ( int i=1 ;  i <=    phoneme.length()  ;i ++) {
   wherecondition.prepend(phoneme[phoneme.length()-i]);
  }
 wherecondition.prepend("PH GLOB \"*");
 wherecondition.append("*\"");

}
 return (wherecondition);
}
