#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "dialogconfiguration.h"
#include "dialoggetallfiles.h"
#include "filedonwload.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void GetAllFiles();
    void OpenDataBase();
    void MakeDatabase();
private:
    Ui::MainWindow *ui;
    DialogConfiguration *m_dialogConfiguration;


    void DecompressAll();
};

#endif // MAINWINDOW_H
